<template>
            <div class=" d-md-flex align-items-center flex-wrap justify-content-center mt-4 p-3 pb-3 contenedorPrincipal">
                        <label class="form-label mx-2">Fecha Desde:</label>
                        <input type="date" v-model="data.fecha_desde" class="form-label me-2 " id="fecha_desde" autocomplete="off"/>
                   
                        <label class="form-label mx-2">Fecha Hasta:</label> 
                        <input type="date" v-model="data.fecha_hasta" class="form-label me-2" id="fecha_hasta" autocomplete="off"/>
                   
                        <button type="button" class="mx-5 btn btn-principal px-2" @click="busquedaTopes()">
                            <i class="bi bi-search"></i>
                        </button>
              </div>
</template>

<script setup lang="ts">
//librerias
import { reactive, onMounted } from "vue";
import { loading } from "@/shared.js";

//components

//store
import { useTopesStore } from "@/stores/Topes/topes";
import { useConfigStore } from "@/stores/configgral";
//entities


const topesStore = useTopesStore();
const configStore = useConfigStore();

const data = reactive({
    fecha_desde: "" as string,
    fecha_hasta: "" as string,

});


onMounted(async () => {

    loading.show();
    await configStore.updateListadoPeriodo();
    var anio = configStore.listadoPeriodoActivo[0]?.anioActivo;
    data.fecha_desde = anio + "-03-01";
    data.fecha_hasta = anio + "-12-31";
    
    await busquedaTopes();
    loading.hide();
});



async function busquedaTopes() {
    loading.show();

     await topesStore.updateListadoTopes({
        id_becario_cupo: null,
        fecha_desde:data.fecha_desde,
        fecha_hasta: data.fecha_hasta,
     });

    loading.hide();

}


</script>
